cabal-version: 1.12

name:           fp-docteur
version:        0.1
description:    rien
homepage:       https://github.com/
bug-reports:    https://github.com/
author:         kahina fouzia
maintainer:     sorbonne@gmail.com
copyright:      2020
license:        okok
build-type:     Simple
extra-source-files:
    README.md


library
  default-extensions:
      NamedFieldPuns

  exposed-modules:
      Engine.Base

      
      Engine.Coordone
      Engine.Direction
      Engine.Position
      Engine.Classes

     

      
      Engine.Animation
      Engine.Loading
      Engine.Rendering
      Engine.Sprite

      Game.Base

      
      Game.GameOverMenu
      
      Game.MenuShared
      Game.WinGameMenu
      Game.Persistant
      Game.SwitchRoom
      Game.MenuState
      Game.MenuItem


      Game.Text
     

      --kkli

      
      Game.Classic

      
      Game.AgentTypes
      Game.Docteur
      Game.Viruss
      Game.Helpers
      Game.Agent

      
       Game.Level
       Game.Loading

      Game.Classes
      Game.Input

   
      Game.ReglesDeJeux
    

      
      Game.Context
      Game.Niv
      

     
      Game.EtatJeux
      
      Game.World
    
      Game.CalculStor

      Game
      
      Resources
  other-modules:
      Paths_fp_docteur
  hs-source-dirs:
      src
  build-depends:
      base >=4.7 && <5,
      gloss,
      gloss-game,
      containers,
      random,
      vector,
      sdl2,
      sdl2-mixer

  default-language: Haskell2010

executable fp-docteur-exe
  main-is: Main.hs
  other-modules:
      Paths_fp_docteur
  hs-source-dirs:
      app
  ghc-options: -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      base >=4.7 && <5,
      gloss,
      gloss-game,
      containers,
      random,
      fp-docteur,
      sdl2,
      sdl2-mixer
  default-language: Haskell2010

test-suite fp-docteur-test
  type: exitcode-stdio-1.0
  main-is: Spec.hs
  other-modules:
      Paths_fp_docteur
  hs-source-dirs:
      test
  ghc-options: -threaded -rtsopts -with-rtsopts=-N
  build-depends:
      base >=4.7 && <5,
      gloss,
      gloss-game,
      containers,
      random,
      fp-docteur
  default-language: Haskell2010

